[blfs-book] r12753 - in trunk/BOOK: general/genlib networking/netlibs networking/netprogs networking/netutils x/lib xfce/apps

fernando at higgs.linuxfromscratch.org fernando at higgs.linuxfromscratch.org
Thu Feb 20 13:24:56 PST 2014


Author: fernando
Date: Thu Feb 20 13:24:55 2014
New Revision: 12753

Log:
Some tags anfix, thanks to Armin K.

Modified:
   trunk/BOOK/general/genlib/libdaemon.xml
   trunk/BOOK/networking/netlibs/libnl.xml
   trunk/BOOK/networking/netlibs/libtirpc.xml
   trunk/BOOK/networking/netprogs/net-tools.xml
   trunk/BOOK/networking/netprogs/rpcbind.xml
   trunk/BOOK/networking/netprogs/samba.xml
   trunk/BOOK/networking/netprogs/wpa_supplicant.xml
   trunk/BOOK/networking/netutils/avahi.xml
   trunk/BOOK/networking/netutils/networkmanager.xml
   trunk/BOOK/networking/netutils/wicd.xml
   trunk/BOOK/x/lib/webkitgtk.xml
   trunk/BOOK/xfce/apps/vte2.xml

Modified: trunk/BOOK/general/genlib/libdaemon.xml
==============================================================================
--- trunk/BOOK/general/genlib/libdaemon.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/general/genlib/libdaemon.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -34,7 +34,7 @@
       library that eases the writing of UNIX daemons.
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/networking/netlibs/libnl.xml
==============================================================================
--- trunk/BOOK/networking/netlibs/libnl.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netlibs/libnl.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -35,7 +35,7 @@
       providing APIs to netlink protocol based Linux kernel interfaces.
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/networking/netlibs/libtirpc.xml
==============================================================================
--- trunk/BOOK/networking/netlibs/libtirpc.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netlibs/libtirpc.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -72,6 +72,8 @@
       </listitem>
     </itemizedlist>
 
+    <!-- Not needed for LFS 7.5, Glibc RPC interface is exported again
+
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
       <listitem>
@@ -80,7 +82,7 @@
           <ulink url="&patch-root;/libtirpc-&libtirpc-version;-remove_nis-1.patch"/>
         </para>
       </listitem>
-    </itemizedlist>
+    </itemizedlist> -->
 
     <bridgehead renderas="sect3">libtirpc Dependencies</bridgehead>
 
@@ -102,10 +104,10 @@
       commands:
     </para>
 
-<screen><userinput>patch -Np1 -i ../libtirpc-&libtirpc-version;-remove_nis-1.patch &&
+<screen><userinput><!--patch -Np1 -i ../libtirpc-&libtirpc-version;-remove_nis-1.patch &&
 autoreconf -fi &&
 
-./configure --prefix=/usr     \
+-->./configure --prefix=/usr     \
             --sysconfdir=/etc \
             --disable-static  \
             --disable-gssapi  &&

Modified: trunk/BOOK/networking/netprogs/net-tools.xml
==============================================================================
--- trunk/BOOK/networking/netprogs/net-tools.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netprogs/net-tools.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -33,7 +33,7 @@
     of programs for controlling the network subsystem of the Linux
     kernel.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/networking/netprogs/rpcbind.xml
==============================================================================
--- trunk/BOOK/networking/netprogs/rpcbind.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netprogs/rpcbind.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -72,11 +72,12 @@
   <sect2 role="installation">
     <title>Installation of rpcbind</title>
 
+    <!-- Packages should adopt to standards, not the other way arround -->
     <para>In order to get <application>rpcbind</application> to work
-    properly, first fix <filename>/etc/services</filename>. As the
-    <systemitem class="username">root</systemitem> user:</para>
+    properly, first fix the package to use correct service name:</para>
 
-<screen role="root"><userinput>sed -i 's/^sunrpc/rpcbind/' /etc/services</userinput></screen>
+<screen><userinput>sed -i "/servname/s:rpcbind:sunrpc:" src/rpcbind.c &&
+sed -i "/error = getaddrinfo/s:rpcbind:sunrpc:" src/rpcinfo.c</userinput></screen>
 
     <para>Install <application>rpcbind</application> by running the following
     commands:</para>
@@ -111,7 +112,7 @@
       included in the <xref linkend="bootscripts"/> package.</para>
 
       <indexterm zone="rpcbind rpcbind-init">
-         <primary sortas="f-portmap">portmap</primary>
+         <primary sortas="f-rpcbind">rpcbind</primary>
       </indexterm>
 
 <screen role="root"><userinput>make install-rpcbind</userinput></screen>

Modified: trunk/BOOK/networking/netprogs/samba.xml
==============================================================================
--- trunk/BOOK/networking/netprogs/samba.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netprogs/samba.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -38,7 +38,7 @@
     Active Directory domain and a NetBIOS (rfc1001/1002) nameserver (which
     among other things provides LAN browsing support).</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -66,7 +66,6 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="libtirpc"/> and
       <xref linkend="python2"/>
     </para>
 
@@ -111,9 +110,7 @@
     <para>Install <application>Samba</application> by running the following
     commands:</para>
 
-<screen><userinput>sed -i -e "/dmapi_lib/s/$/ldflags='-ltirpc',/" source3/wscript_build &&
-
-./configure                            \
+<screen><userinput>./configure                            \
     --prefix=/usr                      \
     --sysconfdir=/etc                  \
     --localstatedir=/var               \
@@ -166,18 +163,6 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><command>sed ... source3/wscript_build</command>:
-    This command enables the build to complete when using libtirpc instead of
-    the deprecated glibc rpc functions.</para>
-
-    <para><parameter>--sysconfdir=/etc</parameter>: Sets the configuration
-    file directory to avoid the default of
-    <filename class="directory">/usr/etc</filename>.</para>
-
-    <para><parameter>--localstatedir=/var</parameter>: Sets the variable
-    data directory to avoid the default of
-    <filename class="directory">/usr/var</filename>.</para>
-
     <para><parameter>--enable-fhs</parameter>: Assigns all other file paths in
     a manner compliant with the Filesystem Hierarchy Standard (FHS).</para>
 

Modified: trunk/BOOK/networking/netprogs/wpa_supplicant.xml
==============================================================================
--- trunk/BOOK/networking/netprogs/wpa_supplicant.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netprogs/wpa_supplicant.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -40,7 +40,7 @@
       access point.
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/networking/netutils/avahi.xml
==============================================================================
--- trunk/BOOK/networking/netutils/avahi.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netutils/avahi.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -34,7 +34,7 @@
       facilitates service discovery on a local network.
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/networking/netutils/networkmanager.xml
==============================================================================
--- trunk/BOOK/networking/netutils/networkmanager.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netutils/networkmanager.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -39,7 +39,7 @@
       detected and re-joined automatically the next time it's available.
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/networking/netutils/wicd.xml
==============================================================================
--- trunk/BOOK/networking/netutils/wicd.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/networking/netutils/wicd.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -38,7 +38,7 @@
     url="http://projects.kde.org/projects/extragear/network/wicd-kde">here</ulink>.
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/BOOK/x/lib/webkitgtk.xml
==============================================================================
--- trunk/BOOK/x/lib/webkitgtk.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/x/lib/webkitgtk.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -118,17 +118,6 @@
   <sect2 role="installation">
     <title>Installation of WebKitGTK+</title>
 
-    <warning>
-      <para>
-        If you are building <application>WebKitGTK+</application>
-        with <command>make</command> 3.82, make sure that you have built
-        it with the following
-        <ulink url="&patch-downloads;/make/make-3.82-upstream_fixes-3.patch">
-        patch</ulink> applied or <application>WebKitGTK+</application>
-        build will fail.
-      </para>
-    </warning>
-
     <para>
       If you have not installed <xref linkend="gtk-doc"/>, fix a bug that will
       cause <command>make install</command> to fail:
@@ -144,9 +133,7 @@
 <screen><userinput>sed -i '/parse-param/ a%lex-param {YYLEX_PARAM}' \
              Source/ThirdParty/ANGLE/src/compiler/glslang.y</userinput> &&
 <userinput>patch -Np1 -i ../webkitgtk-&webkitgtk-version;-fix_librt_linking-1.patch &&
-./configure --prefix=/usr \
-            --with-gtk=2.0 \
-            --disable-webkit2 &&
+./configure --prefix=/usr --with-gtk=2.0 --disable-webkit2 &&
 make</userinput></screen>
 
     <para>
@@ -206,8 +193,8 @@
           libjavascriptcoregtk-1.0.so and libwebkit-1.0.so
         </seg>
         <seg>
-          /usr/include/webkit-1.0, /usr/share/webkit-1.0 and
-          /usr/lib/webkitgtk2
+          /usr/include/webkit-1.0 and
+          /usr/share/webkit-1.0
         </seg>
       </seglistitem>
     </segmentedlist>

Modified: trunk/BOOK/xfce/apps/vte2.xml
==============================================================================
--- trunk/BOOK/xfce/apps/vte2.xml	Thu Feb 20 13:17:44 2014	(r12752)
+++ trunk/BOOK/xfce/apps/vte2.xml	Thu Feb 20 13:24:55 2014	(r12753)
@@ -100,7 +100,9 @@
       commands:
     </para>
 
+<!-- both vte2 and vte3 install the same file in libexecdir, so overwrite this one -->
 <screen><userinput>./configure --prefix=/usr \
+            --libexecdir=/usr/lib/vte \
             --disable-static  &&
 make</userinput></screen>
 



More information about the blfs-book mailing list